indexing

	description: 
		"Implementation of XMappingEvent."
	legal: "See notice at end of class.";
	status: "See notice at end of class.";
	date: "$Date: 2006-01-22 18:25:44 -0800 (Sun, 22 Jan 2006) $";
	revision: "$Revision: 56675 $"

class
	MEL_MAPPING_EVENT

inherit

	MEL_EVENT

create
	make

feature -- Access

	count: INTEGER is
			-- Number of keycode changed
		do
			Result := c_event_count (handle)
		end;

	request: INTEGER is
			-- Request value
		do
			Result := c_event_request (handle)
		end;

	first_keycode: INTEGER is
			-- First keycode that was changed
		do
			Result := c_event_first_keycode (handle)
		end;

feature {NONE} -- Implementation

	c_event_count (event_ptr: POINTER): INTEGER is
		external
			"C [macro %"events.h%"] (XMappingEvent *): EIF_INTEGER"
		end;

	c_event_request (event_ptr: POINTER): INTEGER is
		external
			"C [macro %"events.h%"] (XMappingEvent *): EIF_INTEGER"
		end;

	c_event_first_keycode (event_ptr: POINTER): INTEGER is
		external
			"C [macro %"events.h%"] (XMappingEvent *): EIF_INTEGER"
		end;

indexing
	copyright:	"Copyright (c) 1984-2006, Eiffel Software and others"
	license:	"Eiffel Forum License v2 (see http://www.eiffel.com/licensing/forum.txt)"
	source: "[
			 Eiffel Software
			 356 Storke Road, Goleta, CA 93117 USA
			 Telephone 805-685-1006, Fax 805-685-6869
			 Website http://www.eiffel.com
			 Customer support http://support.eiffel.com
		]"




end -- class MEL_MAPPING_EVENT


