indexing
	description: "External C routines for accessing gdk keysyms constants"
	legal: "See notice at end of class.";
	status: "See notice at end of class.";
	id: "$Id: ev_gdk_keysyms_externals.e 56675 2006-01-23 02:25:44Z manus $";
	date: "$Date: 2006-01-22 18:25:44 -0800 (Sun, 22 Jan 2006) $";
	revision: "$Revision: 56675 $"

class
	EV_GDK_KEYSYMS_EXTERNALS

feature {NONE} -- Numbers
	
 	gdk_0: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_0"
 		end
	
	gdk_1: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_1"
 		end	
 	
	gdk_2: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_2"
 		end	
 	
	gdk_3: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_3"
 		end	
	
	gdk_4: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_4"
 		end	
 	
	gdk_5: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_5"
 		end	

	gdk_6: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_6"
 		end	

	gdk_7: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_7"
 		end	

	gdk_8: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_8"
 		end	

	gdk_9: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_9"
 		end	

feature -- Numpad

 	gdk_kp_0: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_KP_0"
 		end
	
	gdk_kp_1: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_KP_1"
 		end	
 	
	gdk_kp_2: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_KP_2"
 		end	
 	
	gdk_kp_3: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_KP_3"
 		end	
	
	gdk_kp_4: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_KP_4"
 		end	
 	
	gdk_kp_5: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_KP_5"
 		end	

	gdk_kp_6: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_KP_6"
 		end	

	gdk_kp_7: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_KP_7"
 		end	

	gdk_kp_8: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_KP_8"
 		end	

	gdk_kp_9: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_KP_9"
 		end	

feature {NONE} -- F Keys
	
	gdk_F1: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_F1"
 		end	
 	
	gdk_F2: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_F2"
 		end	
 	
	gdk_F3: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_F3"
 		end	
	
	gdk_F4: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_F4"
 		end	
 	
	gdk_F5: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_F5"
 		end	

	gdk_F6: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_F6"
 		end	

	gdk_F7: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_F7"
 		end	

	gdk_F8: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_F8"
 		end	

	gdk_F9: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_F9"
 		end	

	gdk_F10: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_F10"
 		end	

	gdk_F11: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_F11"
 		end	

	gdk_F12: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_F12"
 		end	

feature -- Special characters

	gdk_comma: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_comma"
 		end	

	gdk_equal: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_equal"
 		end	

	gdk_period: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_period"
 		end	

	gdk_semicolon: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_semicolon"
 		end	

	gdk_braceleft: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_braceleft"
 		end	

	gdk_braceright: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_braceright"
 		end	

	gdk_slash: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_slash"
 		end

	gdk_backslash: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_backslash"
 		end

	gdk_quoteleft: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_quoteleft"
 		end

	gdk_quoteright: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_quoteright"
 		end

feature -- Position keys

	gdk_uparrow: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_uparrow"
 		end

	gdk_downarrow: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_downarrow"
 		end

	gdk_leftarrow: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_leftarrow"
 		end

	gdk_rightarrow: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_rightarrow"
 		end

	gdk_kp_page_up: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_KP_Page_Up"
 		end

	gdk_kp_page_down: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_KP_Page_Down"
 		end

	gdk_kp_home: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_KP_Home"
 		end

	gdk_kp_end: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_KP_End"
 		end

	gdk_kp_begin: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_KP_Page_Down"
 		end

	gdk_kp_insert: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_KP_Insert"
 		end

	gdk_kp_delete: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_KP_Delete"
 		end

feature -- Alphabetical keys

	gdk_a: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_A"
 		end	

	gdk_b: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_B"
 		end	

	gdk_c: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_C"
 		end	

	gdk_d: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_D"
 		end	

	gdk_e: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_E"
 		end	

	gdk_f: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_F"
 		end	

	gdk_g: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_G"
 		end	

	gdk_h: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_H"
 		end	

	gdk_i: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_I"
 		end	

	gdk_j: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_J"
 		end	

	gdk_k: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_K"
 		end	

	gdk_l: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_L"
 		end	

	gdk_m: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_M"
 		end	

	gdk_n: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_N"
 		end	

	gdk_o: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_O"
 		end	

	gdk_p: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_P"
 		end	

	gdk_q: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_Q"
 		end	

	gdk_r: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_R"
 		end	

	gdk_s: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_S"
 		end	

	gdk_t: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_T"
 		end	

	gdk_u: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_U"
 		end	

	gdk_v: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_V"
 		end	

	gdk_w: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_W"
 		end	

	gdk_x: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_X"
 		end	

	gdk_y: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_Y"
 		end	

	gdk_z: INTEGER is
 		external 
 			"C [macro <gdk/gdkkeysyms.h>]"
		alias
			"GDK_Z"
 		end	

indexing
	copyright:	"Copyright (c) 1984-2006, Eiffel Software and others"
	license:	"Eiffel Forum License v2 (see http://www.eiffel.com/licensing/forum.txt)"
	source: "[
			 Eiffel Software
			 356 Storke Road, Goleta, CA 93117 USA
			 Telephone 805-685-1006, Fax 805-685-6869
			 Website http://www.eiffel.com
			 Customer support http://support.eiffel.com
		]"




end -- class EV_GDK_KEYSYMS_EXTERNALS

