indexing
	description: "Font Weight (FW) constants."
	legal: "See notice at end of class."
	status: "See notice at end of class."
	date: "$Date: 2006-01-22 18:25:44 -0800 (Sun, 22 Jan 2006) $"
	revision: "$Revision: 56675 $"

class
	WEL_FW_CONSTANTS

feature -- Access

	Fw_dontcare: INTEGER is
		external
			"C [macro %"wel.h%"]"
		alias
			"FW_DONTCARE"
		end

	Fw_thin: INTEGER is
		external
			"C [macro %"wel.h%"]"
		alias
			"FW_THIN"
		end

	Fw_extralight: INTEGER is
		external
			"C [macro %"wel.h%"]"
		alias
			"FW_EXTRALIGHT"
		end

	Fw_light: INTEGER is
		external
			"C [macro %"wel.h%"]"
		alias
			"FW_LIGHT"
		end

	Fw_normal: INTEGER is
		external
			"C [macro %"wel.h%"]"
		alias
			"FW_NORMAL"
		end

	Fw_medium: INTEGER is
		external
			"C [macro %"wel.h%"]"
		alias
			"FW_MEDIUM"
		end

	Fw_semibold: INTEGER is
		external
			"C [macro %"wel.h%"]"
		alias
			"FW_SEMIBOLD"
		end

	Fw_bold: INTEGER is
		external
			"C [macro %"wel.h%"]"
		alias
			"FW_BOLD"
		end

	Fw_extrabold: INTEGER is
		external
			"C [macro %"wel.h%"]"
		alias
			"FW_EXTRABOLD"
		end

	Fw_heavy: INTEGER is
		external
			"C [macro %"wel.h%"]"
		alias
			"FW_HEAVY"
		end

	Fw_ultralight: INTEGER is
		external
			"C [macro %"wel.h%"]"
		alias
			"FW_ULTRALIGHT"
		end

	Fw_regular: INTEGER is
		external
			"C [macro %"wel.h%"]"
		alias
			"FW_REGULAR"
		end

	Fw_demibold: INTEGER is
		external
			"C [macro %"wel.h%"]"
		alias
			"FW_DEMIBOLD"
		end

	Fw_ultrabold: INTEGER is
		external
			"C [macro %"wel.h%"]"
		alias
			"FW_ULTRABOLD"
		end

	Fw_black: INTEGER is
		external
			"C [macro %"wel.h%"]"
		alias
			"FW_BLACK"
		end

indexing
	copyright:	"Copyright (c) 1984-2006, Eiffel Software and others"
	license:	"Eiffel Forum License v2 (see http://www.eiffel.com/licensing/forum.txt)"
	source: "[
			 Eiffel Software
			 356 Storke Road, Goleta, CA 93117 USA
			 Telephone 805-685-1006, Fax 805-685-6869
			 Website http://www.eiffel.com
			 Customer support http://support.eiffel.com
		]"




end -- class WEL_FW_CONSTANTS

