indexing
	description:
		"Resource values for KEYSYM definition. Only includes latin 1 %
		%and common keysym definitions."
	legal: "See notice at end of class.";
	status: "See notice at end of class.";
	date: "$Date: 2006-01-22 18:25:44 -0800 (Sun, 22 Jan 2006) $";
	revision: "$Revision: 56675 $"

class MEL_KEYSYMDEF_CONSTANTS

feature -- keysymdef resources

	XK_BackSpace: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_BackSpace"
		end
	
	XK_Tab: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Tab"
		end
	
	XK_Linefeed: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Linefeed"
		end
	
	XK_Clear: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Clear"
		end
	
	XK_Return: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Return"
		end
	
	XK_Pause: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Pause"
		end
	
	XK_Scroll_Lock: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Scroll_Lock"
		end
	
	XK_Escape: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Escape"
		end
	
	XK_Delete: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Delete"
		end
	
	XK_Home: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Home"
		end
	
	XK_Left: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Left"
		end
	
	XK_Up: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Up"
		end
	
	XK_Right: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Right"
		end
	
	XK_Down: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Down"
		end
	
	XK_Prior, XK_Page_Up: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Prior"
		end
	
	XK_Next, XK_Page_Down: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Next"
		end
	
	XK_End: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_End"
		end
	
	XK_Begin: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Begin"
		end
	
	XK_Select: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Select"
		end
	
	XK_Print: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Print"
		end
	
	XK_Execute: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Execute"
		end
	
	XK_Insert: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Insert"
		end
	
	XK_Undo: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Undo"
		end
	
	XK_Redo: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Redo"
		end
	
	XK_Menu: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Menu"
		end
	
	XK_Find: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Find"
		end
	
	XK_Cancel: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Cancel"
		end
	
	XK_Help: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Help"
		end
	
	XK_Break: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Break"
		end
	
	XK_Mode_switch: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Mode_switch"
		end
	
	XK_script_switch: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_script_switch"
		end
	
	XK_Num_Lock: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Num_Lock"
		end
	
	XK_KP_Space: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_KP_Space"
		end
	
	XK_KP_Tab: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_KP_Tab"
		end
	
	XK_KP_Enter: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_KP_Enter"
		end
	
	XK_KP_F1: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_KP_F1"
		end
	
	XK_KP_F2: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_KP_F2"
		end
	
	XK_KP_F3: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_KP_F3"
		end
	
	XK_KP_F4: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_KP_F4"
		end
	
	XK_KP_Equal: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_KP_Equal"
		end
	
	XK_KP_Multiply: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_KP_Multiply"
		end
	
	XK_KP_Add: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_KP_Add"
		end
	
	XK_KP_Separator: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_KP_Separator"
		end
	
	XK_KP_Subtract: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_KP_Subtract"
		end
	
	XK_KP_Decimal: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_KP_Decimal"
		end
	
	XK_KP_Divide: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_KP_Divide"
		end
	
	XK_KP_0: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_KP_0"
		end
	
	XK_KP_1: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_KP_1"
		end
	
	XK_KP_2: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_KP_2"
		end
	
	XK_KP_3: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_KP_3"
		end
	
	XK_KP_4: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_KP_4"
		end
	
	XK_KP_5: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_KP_5"
		end
	
	XK_KP_6: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_KP_6"
		end
	
	XK_KP_7: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_KP_7"
		end
	
	XK_KP_8: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_KP_8"
		end
	
	XK_KP_9: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_KP_9"
		end
	
	XK_F1: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_F1"
		end
	
	XK_F2: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_F2"
		end
	
	XK_F3: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_F3"
		end
	
	XK_F4: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_F4"
		end
	
	XK_F5: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_F5"
		end
	
	XK_F6: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_F6"
		end
	
	XK_F7: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_F7"
		end
	
	XK_F8: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_F8"
		end
	
	XK_F9: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_F9"
		end
	
	XK_F10: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_F10"
		end
	
	XK_F11: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_F11"
		end
	
	XK_L1: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_L1"
		end
	
	XK_F12: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_F12"
		end
	
	XK_L2: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_L2"
		end
	
	XK_F13: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_F13"
		end
	
	XK_L3: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_L3"
		end
	
	XK_F14: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_F14"
		end
	
	XK_L4: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_L4"
		end
	
	XK_F15: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_F15"
		end
	
	XK_L5: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_L5"
		end
	
	XK_F16: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_F16"
		end
	
	XK_L6: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_L6"
		end
	
	XK_F17: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_F17"
		end
	
	XK_L7: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_L7"
		end
	
	XK_F18: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_F18"
		end
	
	XK_L8: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_L8"
		end
	
	XK_F19: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_F19"
		end
	
	XK_L9: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_L9"
		end
	
	XK_F20: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_F20"
		end
	
	XK_L10: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_L10"
		end
	
	XK_F21: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_F21"
		end
	
	XK_R1: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_R1"
		end
	
	XK_F22: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_F22"
		end
	
	XK_R2: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_R2"
		end
	
	XK_F23: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_F23"
		end
	
	XK_R3: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_R3"
		end
	
	XK_F24: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_F24"
		end
	
	XK_R4: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_R4"
		end
	
	XK_F25: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_F25"
		end
	
	XK_R5: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_R5"
		end
	
	XK_F26: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_F26"
		end
	
	XK_R6: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_R6"
		end
	
	XK_F27: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_F27"
		end
	
	XK_R7: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_R7"
		end
	
	XK_F28: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_F28"
		end
	
	XK_R8: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_R8"
		end
	
	XK_F29: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_F29"
		end
	
	XK_R9: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_R9"
		end
	
	XK_F30: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_F30"
		end
	
	XK_R10: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_R10"
		end
	
	XK_F31: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_F31"
		end
	
	XK_R11: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_R11"
		end
	
	XK_F32: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_F32"
		end
	
	XK_R12: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_R12"
		end
	
	XK_F33: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_F33"
		end
	
	XK_R13: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_R13"
		end
	
	XK_F34: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_F34"
		end
	
	XK_R14: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_R14"
		end
	
	XK_F35: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_F35"
		end
	
	XK_R15: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_R15"
		end
	
	XK_Shift_L: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Shift_L"
		end
	
	XK_Shift_R: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Shift_R"
		end
	
	XK_Control_L: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Control_L"
		end
	
	XK_Control_R: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Control_R"
		end
	
	XK_Caps_Lock: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Caps_Lock"
		end
	
	XK_Shift_Lock: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Shift_Lock"
		end
	
	XK_Meta_L: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Meta_L"
		end
	
	XK_Meta_R: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Meta_R"
		end
	
	XK_Alt_L: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Alt_L"
		end
	
	XK_Alt_R: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Alt_R"
		end
	
	XK_Super_L: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Super_L"
		end
	
	XK_Super_R: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Super_R"
		end
	
	XK_Hyper_R: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Hyper_R"
		end
	
	XK_Hyper_L: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Hyper_L"
		end
	
	XK_space: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_space"
		end
	
	XK_exclam: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_exclam"
		end
	
	XK_quotedbl: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_quotedbl"
		end
	
	XK_numbersign: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_numbersign"
		end
	
	XK_dollar: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_dollar"
		end
	
	XK_percent: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_percent"
		end
	
	XK_ampersand: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_ampersand"
		end
	
	XK_apostrophe: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_apostrophe"
		end
	
	XK_quoteright: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_quoteright"
		end
	
	XK_parenleft: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_parenleft"
		end
	
	XK_parenright: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_parenright"
		end
	
	XK_asterisk: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_asterisk"
		end
	
	XK_plus: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_plus"
		end
	
	XK_comma: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_comma"
		end
	
	XK_minus: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_minus"
		end
	
	XK_period: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_period"
		end
	
	XK_slash: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_slash"
		end
	
	XK_0: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_0"
		end
	
	XK_1: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_1"
		end
	
	XK_2: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_2"
		end
	
	XK_3: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_3"
		end
	
	XK_4: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_4"
		end
	
	XK_5: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_5"
		end
	
	XK_6: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_6"
		end
	
	XK_7: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_7"
		end
	
	XK_8: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_8"
		end
	
	XK_9: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_9"
		end
	
	XK_colon: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_colon"
		end
	
	XK_semicolon: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_semicolon"
		end
	
	XK_less: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_less"
		end
	
	XK_equal: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_equal"
		end
	
	XK_greater: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_greater"
		end
	
	XK_question: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_question"
		end
	
	XK_at: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_at"
		end
	
	XK_upper_A: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_A"
		end
	
	XK_upper_B: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_B"
		end
	
	XK_upper_C: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_C"
		end
	
	XK_upper_D: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_D"
		end
	
	XK_upper_E: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_E"
		end
	
	XK_upper_F: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_F"
		end
	
	XK_upper_G: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_G"
		end
	
	XK_upper_H: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_H"
		end
	
	XK_upper_I: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_I"
		end
	
	XK_upper_J: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_J"
		end
	
	XK_upper_K: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_K"
		end
	
	XK_upper_L: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_L"
		end
	
	XK_upper_M: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_M"
		end
	
	XK_upper_N: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_N"
		end
	
	XK_upper_O: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_O"
		end
	
	XK_upper_P: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_P"
		end
	
	XK_upper_Q: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Q"
		end
	
	XK_upper_R: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_R"
		end
	
	XK_upper_S: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_S"
		end
	
	XK_upper_T: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_T"
		end
	
	XK_upper_U: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_U"
		end
	
	XK_upper_V: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_V"
		end
	
	XK_upper_W: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_W"
		end
	
	XK_upper_X: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_X"
		end
	
	XK_upper_Y: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Y"
		end
	
	XK_upper_Z: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Z"
		end
	
	XK_bracketleft: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_bracketleft"
		end
	
	XK_backslash: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_backslash"
		end
	
	XK_bracketright: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_bracketright"
		end
	
	XK_asciicircum: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_asciicircum"
		end
	
	XK_underscore: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_underscore"
		end
	
	XK_grave: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_grave"
		end
	
	XK_quoteleft: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_quoteleft"
		end
	
	XK_a: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_a"
		end
	
	XK_b: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_b"
		end
	
	XK_c: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_c"
		end
	
	XK_d: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_d"
		end
	
	XK_e: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_e"
		end
	
	XK_f: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_f"
		end
	
	XK_g: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_g"
		end
	
	XK_h: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_h"
		end
	
	XK_i: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_i"
		end
	
	XK_j: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_j"
		end
	
	XK_k: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_k"
		end
	
	XK_l: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_l"
		end
	
	XK_m: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_m"
		end
	
	XK_n: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_n"
		end
	
	XK_o: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_o"
		end
	
	XK_p: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_p"
		end
	
	XK_q: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_q"
		end
	
	XK_r: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_r"
		end
	
	XK_s: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_s"
		end
	
	XK_t: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_t"
		end
	
	XK_u: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_u"
		end
	
	XK_v: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_v"
		end
	
	XK_w: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_w"
		end
	
	XK_x: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_x"
		end
	
	XK_y: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_y"
		end
	
	XK_z: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_z"
		end
	
	XK_braceleft: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_braceleft"
		end
	
	XK_bar: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_bar"
		end
	
	XK_braceright: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_braceright"
		end
	
	XK_asciitilde: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_asciitilde"
		end
	
	XK_nobreakspace: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_nobreakspace"
		end
	
	XK_exclamdown: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_exclamdown"
		end
	
	XK_cent: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_cent"
		end
	
	XK_sterling: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_sterling"
		end
	
	XK_currency: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_currency"
		end
	
	XK_yen: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_yen"
		end
	
	XK_brokenbar: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_brokenbar"
		end
	
	XK_section: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_section"
		end
	
	XK_diaeresis: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_diaeresis"
		end
	
	XK_copyright: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_copyright"
		end
	
	XK_ordfeminine: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_ordfeminine"
		end
	
	XK_guillemotleft: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_guillemotleft"
		end
	
	XK_notsign: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_notsign"
		end
	
	XK_hyphen: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_hyphen"
		end
	
	XK_registered: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_registered"
		end
	
	XK_macron: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_macron"
		end
	
	XK_degree: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_degree"
		end
	
	XK_plusminus: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_plusminus"
		end
	
	XK_twosuperior: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_twosuperior"
		end
	
	XK_threesuperior: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_threesuperior"
		end
	
	XK_acute: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_acute"
		end
	
	XK_mu: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_mu"
		end
	
	XK_paragraph: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_paragraph"
		end
	
	XK_periodcentered: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_periodcentered"
		end
	
	XK_cedilla: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_cedilla"
		end
	
	XK_onesuperior: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_onesuperior"
		end
	
	XK_masculine: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_masculine"
		end
	
	XK_guillemotright: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_guillemotright"
		end
	
	XK_onequarter: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_onequarter"
		end
	
	XK_onehalf: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_onehalf"
		end
	
	XK_threequarters: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_threequarters"
		end
	
	XK_questiondown: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_questiondown"
		end
	
	XK_Agrave: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Agrave"
		end
	
	XK_Aacute: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Aacute"
		end
	
	XK_Acircumflex: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Acircumflex"
		end
	
	XK_Atilde: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Atilde"
		end
	
	XK_Adiaeresis: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Adiaeresis"
		end
	
	XK_Aring: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Aring"
		end
	
	XK_AE: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_AE"
		end
	
	XK_Ccedilla: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Ccedilla"
		end
	
	XK_Egrave: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Egrave"
		end
	
	XK_Eacute: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Eacute"
		end
	
	XK_Ecircumflex: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Ecircumflex"
		end
	
	XK_Ediaeresis: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Ediaeresis"
		end
	
	XK_Igrave: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Igrave"
		end
	
	XK_Iacute: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Iacute"
		end
	
	XK_Icircumflex: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Icircumflex"
		end
	
	XK_Idiaeresis: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Idiaeresis"
		end

	XK_upper_ETH: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_ETH"
		end
	
	XK_upperE_Eth: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Eth"
		end
	
	XK_Ntilde: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Ntilde"
		end
	
	XK_Ograve: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Ograve"
		end
	
	XK_Oacute: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Oacute"
		end
	
	XK_Ocircumflex: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Ocircumflex"
		end
	
	XK_Otilde: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Otilde"
		end
	
	XK_Odiaeresis: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Odiaeresis"
		end
	
	XK_multiply: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_multiply"
		end
	
	XK_Ooblique: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Ooblique"
		end
	
	XK_Ugrave: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Ugrave"
		end
	
	XK_Uacute: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Uacute"
		end
	
	XK_Ucircumflex: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Ucircumflex"
		end
	
	XK_Udiaeresis: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Udiaeresis"
		end
	
	XK_Yacute: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Yacute"
		end
	
	XK_upper_THORN: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_THORN"
		end
	
	XK_Thorn: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_Thorn"
		end
	
	XK_ssharp: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_ssharp"
		end
	
	XK_lower_agrave: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_agrave"
		end
	
	XK_lower_aacute: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_aacute"
		end
	
	XK_lower_acircumflex: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_acircumflex"
		end
	
	XK_lower_atilde: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_atilde"
		end
	
	XK_lower_adiaeresis: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_adiaeresis"
		end
	
	XK_lower_aring: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_aring"
		end
	
	XK_lower_ae: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_ae"
		end
	
	XK_lower_ccedilla: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_ccedilla"
		end
	
	XK_lower_egrave: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_egrave"
		end
	
	XK_lower_eacute: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_eacute"
		end
	
	XK_lower_ecircumflex: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_ecircumflex"
		end
	
	XK_lower_ediaeresis: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_ediaeresis"
		end
	
	XK_lower_igrave: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_igrave"
		end
	
	XK_lower_iacute: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_iacute"
		end
	
	XK_lower_icircumflex: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_icircumflex"
		end
	
	XK_lower_idiaeresis: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_idiaeresis"
		end
	
	XK_lower_eth: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_eth"
		end
	
	XK_lower_ntilde: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_ntilde"
		end
	
	XK_lower_ograve: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_ograve"
		end
	
	XK_lower_oacute: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_oacute"
		end
	
	XK_lower_ocircumflex: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_ocircumflex"
		end
	
	XK_lower_otilde: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_otilde"
		end
	
	XK_lower_odiaeresis: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_odiaeresis"
		end
	
	XK_division: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_division"
		end
	
	XK_oslash: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_oslash"
		end
	
	XK_lower_ugrave: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_ugrave"
		end
	
	XK_lower_uacute: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_uacute"
		end
	
	XK_lower_ucircumflex: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_ucircumflex"
		end
	
	XK_lower_udiaeresis: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_udiaeresis"
		end
	
	XK_lower_yacute: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_yacute"
		end
	
	XK_lower_thorn: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_thorn"
		end
	
	XK_ydiaeresis: INTEGER is
		external
			"C [macro <X11/keysymdef.h>] : EIF_INTEGER%
				%| <X11/keysym.h>"
		alias
			"XK_ydiaeresis"
		end

indexing
	copyright:	"Copyright (c) 1984-2006, Eiffel Software and others"
	license:	"Eiffel Forum License v2 (see http://www.eiffel.com/licensing/forum.txt)"
	source: "[
			 Eiffel Software
			 356 Storke Road, Goleta, CA 93117 USA
			 Telephone 805-685-1006, Fax 805-685-6869
			 Website http://www.eiffel.com
			 Customer support http://support.eiffel.com
		]"




end	-- class MEL_KEYSYMDEF_CONSTANTS


