indexing
	description	: "List view message (LVM) constants."
	legal: "See notice at end of class."
	status: "See notice at end of class."
	date		: "$Date: 2006-03-22 23:29:03 -0800 (Wed, 22 Mar 2006) $"
	revision	: "$Revision: 57641 $"

class
	WEL_LVM_CONSTANTS

obsolete
	"use WEL_LIST_VIEW_CONSTANTS instead"

feature -- Access

	Lvm_arrange: INTEGER is 4118
			-- Declared in Windows as LVM_ARRANGE

	Lvm_createdragimage: INTEGER is 4129
			-- Declared in Windows as LVM_CREATEDRAGIMAGE

	Lvm_deleteallitems: INTEGER is 4105
			-- Declared in Windows as LVM_DELETEALLITEMS

	Lvm_deletecolumn: INTEGER is 4124
			-- Declared in Windows as LVM_DELETECOLUMN

	Lvm_deleteitem: INTEGER is 4104
			-- Declared in Windows as LVM_DELETEITEM

	Lvm_editlabel: INTEGER is 4214
			-- Declared in Windows as LVM_EDITLABEL

	Lvm_ensurevisible: INTEGER is 4115
			-- Declared in Windows as LVM_ENSUREVISIBLE

	Lvm_finditem: INTEGER is 4179
			-- Declared in Windows as LVM_FINDITEM

	Lvm_getbkcolor: INTEGER is 4096
			-- Declared in Windows as LVM_GETBKCOLOR

	Lvm_getcallbackmask: INTEGER is 4106
			-- Declared in Windows as LVM_GETCALLBACKMASK

	Lvm_getcolumn: INTEGER is 4191
			-- Declared in Windows as LVM_GETCOLUMN

	Lvm_getcolumnwidth: INTEGER is 4125
			-- Declared in Windows as LVM_GETCOLUMNWIDTH

	Lvm_getcountperpage: INTEGER is 4136
			-- Declared in Windows as LVM_GETCOUNTPERPAGE

	Lvm_geteditcontrol: INTEGER is 4120
			-- Declared in Windows as LVM_GETEDITCONTROL

	Lvm_getimagelist: INTEGER is 4098
			-- Declared in Windows as LVM_GETIMAGELIST

	Lvm_getisearchstring: INTEGER is 4213
			-- Declared in Windows as LVM_GETISEARCHSTRING

	Lvm_getitem: INTEGER is 4171
			-- Declared in Windows as LVM_GETITEM

	Lvm_getitemcount: INTEGER is 4100
			-- Declared in Windows as LVM_GETITEMCOUNT

	Lvm_getitemposition: INTEGER is 4112
			-- Declared in Windows as LVM_GETITEMPOSITION

	Lvm_getitemrect: INTEGER is 4110
			-- Declared in Windows as LVM_GETITEMRECT

	Lvm_getitemspacing: INTEGER is 4147
			-- Declared in Windows as LVM_GETITEMSPACING

	Lvm_getitemstate: INTEGER is 4140
			-- Declared in Windows as LVM_GETITEMSTATE

	Lvm_getitemtext: INTEGER is 4211
			-- Declared in Windows as LVM_GETITEMTEXT

	Lvm_getnextitem: INTEGER is 4108
			-- Declared in Windows as LVM_GETNEXTITEM

	Lvm_getorigin: INTEGER is 4137
			-- Declared in Windows as LVM_GETORIGIN

	Lvm_getselectedcount: INTEGER is 4146
			-- Declared in Windows as LVM_GETSELECTEDCOUNT

	Lvm_getstringwidth: INTEGER is 4183
			-- Declared in Windows as LVM_GETSTRINGWIDTH

	Lvm_gettextbkcolor: INTEGER is 4133
			-- Declared in Windows as LVM_GETTEXTBKCOLOR

	Lvm_gettextcolor: INTEGER is 4131
			-- Declared in Windows as LVM_GETTEXTCOLOR

	Lvm_gettopindex: INTEGER is 4135
			-- Declared in Windows as LVM_GETTOPINDEX

	Lvm_getviewrect: INTEGER is 4130
			-- Declared in Windows as LVM_GETVIEWRECT

	Lvm_hittest: INTEGER is 4114
			-- Declared in Windows as LVM_HITTEST

	Lvm_insertcolumn: INTEGER is 4193
			-- Declared in Windows as LVM_INSERTCOLUMN

	Lvm_insertitem: INTEGER is 4173
			-- Declared in Windows as LVM_INSERTITEM

	Lvm_redrawitems: INTEGER is 4117
			-- Declared in Windows as LVM_REDRAWITEMS

	Lvm_scroll: INTEGER is 4116
			-- Declared in Windows as LVM_SCROLL

	Lvm_setbkcolor: INTEGER is 4097
			-- Declared in Windows as LVM_SETBKCOLOR

	Lvm_setcallbackmask: INTEGER is 4107
			-- Declared in Windows as LVM_SETCALLBACKMASK

	Lvm_setcolumn: INTEGER is 4192
			-- Declared in Windows as LVM_SETCOLUMN

	Lvm_setcolumnwidth: INTEGER is 4126
			-- Declared in Windows as LVM_SETCOLUMNWIDTH

	Lvm_setimagelist: INTEGER is 4099
			-- Declared in Windows as LVM_SETIMAGELIST

	Lvm_setitem: INTEGER is 4172
			-- Declared in Windows as LVM_SETITEM

	Lvm_setitemcount: INTEGER is 4143
			-- Declared in Windows as LVM_SETITEMCOUNT

	Lvm_setitemposition: INTEGER is 4111
			-- Declared in Windows as LVM_SETITEMPOSITION

	Lvm_setitemposition32: INTEGER is 4145
			-- Declared in Windows as LVM_SETITEMPOSITION32

	Lvm_setitemstate: INTEGER is 4139
			-- Declared in Windows as LVM_SETITEMSTATE

	Lvm_setitemtext: INTEGER is 4212
			-- Declared in Windows as LVM_SETITEMTEXT

	Lvm_settextbkcolor: INTEGER is 4134
			-- Declared in Windows as LVM_SETTEXTBKCOLOR

	Lvm_settextcolor: INTEGER is 4132
			-- Declared in Windows as LVM_SETTEXTCOLOR

	Lvm_sortitems: INTEGER is 4144
			-- Declared in Windows as LVM_SORTITEMS

	Lvm_update: INTEGER is 4138;
			-- Declared in Windows as LVM_UPDATE


indexing
	copyright:	"Copyright (c) 1984-2006, Eiffel Software and others"
	license:	"Eiffel Forum License v2 (see http://www.eiffel.com/licensing/forum.txt)"
	source: "[
			 Eiffel Software
			 356 Storke Road, Goleta, CA 93117 USA
			 Telephone 805-685-1006, Fax 805-685-6869
			 Website http://www.eiffel.com
			 Customer support http://support.eiffel.com
		]"




end -- class WEL_LVM_CONSTANTS

